<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/grayf9"
        android:orientation="vertical">
        <!--==============top=================-->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <ImageView
                android:id="@+id/iv_close"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="10dp"
                android:scaleType="centerInside"
                android:src="@drawable/ic_pay_close" />

            <TextView
                android:id="@+id/tv_passText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="请输入支付密码"
                android:textColor="@color/black"
                android:textSize="@dimen/text_16" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_alignParentBottom="true"
                android:background="@color/gray_gb" />

        </RelativeLayout>
        <!--==============pass=================-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_gravity="center"
            android:layout_marginLeft="15dp"
            android:layout_marginTop="30dp"
            android:layout_marginRight="15dp"
            android:background="@drawable/payview_stroke_gray_shape"
            android:gravity="center"
            android:orientation="horizontal"
            android:weightSum="6">
            <!--======1======-->
            <TextView
                android:id="@+id/tv_pass1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/grayc4" />
            <!--=====2=====-->
            <TextView
                android:id="@+id/tv_pass2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/grayc4" />

            <!--=====3=====-->
            <TextView
                android:id="@+id/tv_pass3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/grayc4" />
            <!--=====4=======-->
            <TextView
                android:id="@+id/tv_pass4"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/grayc4" />
            <!--=======5==========-->
            <TextView
                android:id="@+id/tv_pass5"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/grayc4" />
            <!--=========6=======-->
            <TextView
                android:id="@+id/tv_pass6"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginBottom="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:inputType="numberPassword"
                android:textColor="@color/black"
                android:textSize="@dimen/text_30" />
        </LinearLayout>
        <!--==============forget=================-->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/size_20"
            android:layout_marginTop="@dimen/size_20">

            <TextView
                android:id="@+id/tv_forget"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="忘记密码?"
                android:textColor="@color/alipay"
                android:textSize="@dimen/sp_14" />

        </RelativeLayout>
        <!--==============输入键盘=================-->

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="15dp"
            android:background="@color/graye3">

            <GridView
                android:id="@+id/gv_pass"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="1dp"
                android:horizontalSpacing="1dp"
                android:listSelector="@color/graye3"
                android:numColumns="3"
                android:verticalSpacing="1dp" />
        </RelativeLayout>

    </LinearLayout>

</RelativeLayout>
